--
-- $Id$
--
-- Aanmaken klantspecifieke tabel die nodig is voor de Firmbase (parkeersysteem) koppeling

DEFINE thisfile = 'FCLT#56045_2.SQL'
DEFINE dbuser   = '^VOLK'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

DROP TABLE VOLK_REGISTRATIES_FIRMBASE;

CREATE TABLE VOLK_REGISTRATIES_FIRMBASE
(
    bez_bezoeker_key  NUMBER (10),    
    bez_afspraak_key  NUMBER (10),    
    bez_startdatum    DATE,
    bez_einddatum     DATE,   
    kenteken          VARCHAR2 (30),
    visitor_id        VARCHAR2 (100),
    frimbase_respons  VARCHAR2 (30)
);  

COMMIT;

 
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
